{#
/**
 * @file
 * Default theme implementation to display a single page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.html.twig template in this directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - base_path: The base URL path of the Drupal installation. Will usually be
 *   "/" unless you have installed Drupal in a sub-directory.
 * - is_front: A flag indicating if the current page is the front page.
 * - logged_in: A flag indicating if the user is registered and signed in.
 * - is_admin: A flag indicating if the user has permission to access
 *   administration pages.
 *
 * Site identity:
 * - front_page: The URL of the front page. Use this instead of base_path when
 *   linking to the front page. This includes the language domain or prefix.
 *
 * Navigation:
 * - breadcrumb: The breadcrumb trail for the current page.
 *
 * Page content (in order of occurrence in the default page.html.twig):
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title: The page title, for use in the actual content.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - messages: Status and error messages. Should be displayed prominently.
 * - tabs: Tabs linking to any sub-pages beneath the current page (e.g., the
 *   view and edit tabs when displaying a node).
 * - action_links: Actions local to the page, such as "Add menu" on the menu
 *   administration interface.
 * - node: Fully loaded node, if there is an automatically-loaded node
 *   associated with the page and the node ID is the second argument in the
 *   page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - page.header: Items for the header region.
 * - page.navigation: Items for the navigation region.
 * - page.navigation_collapsible: Items for the navigation (collapsible) region.
 * - page.highlighted: Items for the highlighted content region.
 * - page.help: Dynamic help text, mostly for admin pages.
 * - page.content: The main content of the current page.
 * - page.sidebar: Items for the first sidebar.
 * - page.footer_left: Items for the footer region.
 * - page.footer_right:
 *
 * @ingroup templates
 *
 * @see template_preprocess_page()
 * @see html.html.twig
 */
#}
{% set container = theme.settings.fluid_container ? 'container-fluid' : 'container' %}

<div id="squeeze" class="{{ container }}">

  <div class="{{ container }} hidden-xs hidden-sm">
    <div class="row">

      {# Header Top #}
      {% if page.header_top %}
        {% block header_top%}
          <div class="col-sm-12">
            {{ page.header_top }}
          </div>
        {% endblock %}
      {% endif %}

      <div class="col-sm-5">
        {# Header Left #}
        {% if page.header_left %}
          {% block header_left%}
            {{ page.header_left }}
          {% endblock %}
        {% endif %}
      </div>

      <div class="col-sm-4 col-sm-offset-3">
        {# Header Right #}
        {% if page.header_right %}
          {% block header_right%}
            {{ page.header_right }}
          {% endblock %}
        {% endif %}
      </div>

    </div>
  </div>

  {# Navbar #}
  {% if page.navigation or page.navigation_collapsible %}
    {% block navbar %}
      {%
      set navbar_classes = [
        'navbar',
        theme.settings.navbar_inverse ? 'navbar-inverse' : 'navbar-default',
        theme.settings.navbar_position ? 'navbar-' ~ theme.settings.navbar_position|clean_class : container,
      ]
      %}
      <header{{ navbar_attributes.addClass(navbar_classes) }} id="navbar" role="banner">
        {% if not navbar_attributes.hasClass('container') %}
          <div class="{{ container }}">
          {% endif %}
          <div class="navbar-header hidden-md hidden-lg">
            {{ page.navigation }}
            {# .btn-navbar is used as the toggle for collapsed navbar content #}
            {% if page.navigation_collapsible %}
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse">
                <span class="sr-only">{{ 'Toggle navigation'|t }}</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>
            {% endif %}
          </div>

          {# Navigation (collapsible) #}
          {% if page.navigation_collapsible %}
            <div id="navbar-collapse" class="navbar-collapse collapse">
              {{ page.navigation_collapsible }}
            </div>
          {% endif %}
          {% if not navbar_attributes.hasClass('container') %}
          </div>
        {% endif %}
      </header>
    {% endblock %}
  {% endif %}

  {# Main #}
  {% block main %}
    <div role="main" class="main-container {{ container }} js-quickedit-main-content">
      <div class="row">

        {# Header #}
        {% if page.header %}
          {% block header %}
            <div class="col-sm-12" role="heading">
              {{ page.header }}
            </div>
          {% endblock %}
        {% endif %}

        {# Content #}
        {%
        set content_classes = [
          page.sidebar ? 'col-sm-6',
          page.sidebar is empty ? 'col-sm-12'
        ]
        %}
        <section{{ content_attributes.addClass(content_classes) }}>

          {# Highlighted #}
          {% if page.highlighted %}
            {% block highlighted %}
              <div class="highlighted">{{ page.highlighted }}</div>
            {% endblock %}
          {% endif %}

          {# Breadcrumbs #}
          {% if breadcrumb %}
            {% block breadcrumb %}
              {{ breadcrumb }}
            {% endblock %}
          {% endif %}

          {# Action Links #}
          {% if action_links %}
            {% block action_links %}
              <ul class="action-links">{{ action_links }}</ul>
            {% endblock %}
          {% endif %}

          {# Help #}
          {% if page.help %}
            {% block help %}
              {{ page.help }}
            {% endblock %}
          {% endif %}

          {# Content #}
          {% block content %}
            <a id="main-content"></a>
            {{ page.content }}
          {% endblock %}
        </section>

        {# Sidebar #}
        {% if page.sidebar %}
          {% block sidebar%}
            <aside class="col-sm-6" role="complementary">
              {{ page.sidebar }}
            </aside>
          {% endblock %}
        {% endif %}
      </div>
    </div>
  {% endblock %}

  {% if page.footer_left or page.footer_right %}
    <footer class="footer {{ container }}" role="contentinfo">
      <div class="row">
        {% block footer_left %}
          <div class="col-sm-6">
            {{ page.footer_left }}
          </div>
        {% endblock %}

        {% block footer_right %}
          <div class="col-sm-6">
            {{ page.footer_right }}
          </div>
        {% endblock %}
      </div>
    </footer>
  {% endif %}

</div>